Diit.cz - Novinky a informace o hardware, software a internetu

Qt 4.8.7 je labutí písní, odteď již jen Qt 5

Životní pouť grafického frameworku Qt bývá vždy spojena s danou generací desktopového prostředí KDE. Tak jako KDE 4 končí a nastupuje „KDE 5“, končí též Qt 4.

Konec vývoje frameworku Qt čtvrté generace byl již po delší dobu známou věcí. Tvůrci nemají dostatečné kapacity, aby udržovali ve vývoji dvě různé generace, zejména pokud ta novější je podstatně lepší a není příliš složité na ni přejít, ať již pro prostředí, nebo aplikace. Ač tedy Qt 4.8.7 přináší úctyhodný balík 150 vylepšení a oprav chyb, jde o poslední takovouto várku.

Mezi nimi nacházíme opravy implementací pro formát BMP (byl možný DoS útok), aktualizované 3rd party knihovny pro PNG, TIFF, lepší podporu Mac OS X zaměřenou na verzi 10.10 Yosemite a mnoho dalšího.

Volně dostupná podpora Qt verze 4.8.7 potrvá pouze do prosince 2015, pro příští rok již Qt Company počítá jen a pouze s Qt 5, případně s Qt 4, pokud si nové opravy nějaký zákazník zaplatí.

Společně s koncem Qt 4 je tedy vhodné zmínit, že toto bude mít dopad i na nyní již starší desktopové prostedí KDE 4.x a další. Netýká se to kupříkladu chystaného desktopu LXQt, který je vyvíjen již nad verzí Qt 5.

Zdroje: 

David Ježek

Dlouholetý zdejší redaktor (2005-2017), příznivec open-source rád píšící i o ne-IT tématech. Odpůrce sw patentů a omezování občanských svobod ve prospěch korporací. Fanoušek Asimova, Kinga, Feynmana, Sudka, 70mm filmu, sf/vf filmu, Fomapanu 400, starých dobrých her, 99% čokolády, indické kuchyně, domácího kváskového chleba a řady dalších věcí.

více článků, blogů a informací o autorovi

Diskuse ke článku Qt 4.8.7 je labutí písní, odteď již jen Qt 5

Středa, 27 Květen 2015 - 22:18 | Vladimír Čunát | Spíš developerky, to vypadá...
Středa, 27 Květen 2015 - 17:28 | HKMaly | Chudaci developeri ...
Středa, 27 Květen 2015 - 08:21 | corwin78 | Rychlé ukončení podpory QT4 vítám, je potřeba aby...

Zobrazit diskusi